Type to search.

Get cache statistics

  • GET /_searchable_snapshots/{node_id}/cache/stats
  • GET /_searchable_snapshots/cache/stats
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Experimental since 7.13 This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Get statistics about the shared cache for partially mounted indices.

More about searchable snapshots

Required privileges

Cluster privileges manage

Path parameters

node_id union string | string[] optional

The names of the nodes in the cluster to target.

Leave it out to use /_searchable_snapshots/cache/stats.

Response

application/json
nodes map string to object required
<string> object
shared_cache object required
reads number required
bytes_read_in_bytes number | string required
writes number required
bytes_written_in_bytes number | string required
evictions number required
num_regions number required
size_in_bytes number | string required
region_size_in_bytes number | string required